#ifndef _AUDIO_BUFFER_H_
#define _AUDIO_BUFFER_H_

#include <stdint.h>

typedef struct audio_item {
  char *data;
  int count;
  uint64_t timestamp, timescale;
  struct audio_item *next;
} audio_item;

typedef struct {
  audio_item *start;
  audio_item *end;
  int count;
} audio_buffer;

void put_audio(char *, int, uint64_t timestamp, uint64_t timescale);
audio_item get_audio(void);

void its_over_buffer_audio(void);

void reset_audio_buffer(void);

#endif /* _AUDIO_BUFFER_H_ */
