#ifndef _H264_H_
#define _H264_H_

#include <stdint.h>

typedef struct {
  void *ffmpeg;
  uint64_t timescale;
  /* hack variable to estimate fps - dig the code for usage */
  volatile int images_per_chunk;
} video_data;

void global_init_video(void);
void init_video_data(video_data *, uint64_t timescale);
int  dump_video(video_data *, char *, int);
void dump_video_header(video_data *, char *);
void free_video_data(video_data *);

#endif /* _H264_H_ */
